
--this is all so easy now that I know what I'm doing...

local Layouts = GLOBAL.require("map/layouts").Layouts

local setpieces = {
	"Chessy_1",
	"Chessy_2",
	"Chessy_3",
	"Chessy_4",
	"Chessy_5",
	"Chessy_6",
	"ChessSpot1",
	"ChessSpot2",
	"ChessSpot3",
	"Maxwell1",
	"Maxwell2",
	"Maxwell3",
	"Maxwell4",
	"Maxwell5",
	"Maxwell6",
	"Maxwell7",
}

for key,value in ipairs(setpieces) do
	if Layouts[value] ~= nil then
		Layouts[value]["layout"]["respawnmechanical"] = {}
		table.insert(Layouts[value]["layout"]["respawnmechanical"], {x=0, y=0, properties={}, width=0, height=0})
	end
end
